# == Class: myapache
#
#   This class is used to configure an apache web-server.
#
# === Examples
#
#   include myapache
#
#   class {'myapache':}
#
#   class {'myapache': port => 8080 }
#
# === Authors
#
#   Your Name <Your_Email>
#
class myapache( $port = $myapache::params::port ) inherits myapache::params {

  # define dependencies between classes
  Class['myapache::params']->Class['myapache::install']->Class['myapache::config']~>Class['myapache::service']

  include myapache::params, myapache::install, myapache::config, myapache::service

}
