# == Class: myapache::params
#
#   Defines parameters needed to setup an apache web-server.
#
class myapache::params {

  case $::osfamily {

    Debian: {
      $package_name = apache2
      $service_name = apache2
      $def_index_html = '/var/www/index.html'
    }

    RedHat: {
      $package_name = httpd
      $service_name = httpd
      $def_index_html = '/var/www/error/noindex.html'
    }

    default: {
      fail("The ${module_name} module is not supported on ${::operatingsystem}")
    }

  }

  # default port
  $port = 80

}
